# Contributing

🙌 First off, thanks for taking the time to contribute! 🙌

If you'd like to contribute, the best approach is to send a well-formed pull
request:
- [ ] tested
- [ ] including documentation

[Pull requests](https://docs.github.com/en/pull-requests) should be focused:
trying to do more than one thing in a single request will make it more
difficult to process.

If you have a bug or feature request you can try [logging an issue](/issues).

There's no harm in creating an issue and then submitting a pull request to
resolve it. This can be a good way to start a conversation and can serve as an
anchor point.

## Development

To run the full test suite in a range of environments, run
[tox](https://tox.wiki/) from the root of the project.

This includes some static analysis to detect potential runtime errors and style
issues.
